#ifndef MT6813CT_H
#define MT6813CT_H

#ifdef __cplusplus
extern "C" {
#endif

#include "main.h"
#include "i2c.h"

extern uint16_t angle;         	
extern float cur_angle_deg;     // 当前磁感应角度
extern uint8_t no_mag_flag;     // 磁铁状态标志位

void read_angle(void) ;
void Scanning_I2C_ID(void)	;
void Process_One_Capture(void);	
void UpdateMotorSpeed(float new_speed);
	
#ifdef __cplusplus
}
#endif

#endif // MT6813CT_H
